Subject: [Int-area] Request a WG adoption call for draft-xu-intarea-ip-in-udp

From: "徐小虎(义先)" <[email-masked]>
Date: Wed, 16 May 2018 10:52:53 +0800

Hi co-chairs,
We would like to request a WG adoption call for this draft (https://tools.ietf.org/html/draft-xu-intarea-ip-in-udp-07) since it has been stable enough and the solution as described in this draft is needed in practice.
Best regards,Xiaohu (on behalf of all co-authors)

---

From: Erik Kline <[email-masked]>
Date: Wed, 16 May 2018 12:06:59 +0900

Should this document make some comment about its relation, or lack of
relation, to https://tools.ietf.org/html/draft-ietf-intarea-gue ?
On Wed, 16 May 2018 at 11:53, 徐小虎(义先) <[email-masked]>

> We would like to request a WG adoption call for this draft (
https://tools.ietf.org/html/draft-xu-intarea-ip-in-udp-07) since it has
been stable enough and the solution as described in this draft is needed in
practice.

> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area

---

From: "徐小虎(义先)" <[email-masked]>
Date: Wed, 16 May 2018 11:33:11 +0800

Hi Eric,
Good question. This draft (draft-xu-intarea-ip-in-udp) describes a native UDP encapsulation scheme for IP packets, which is straightforward and light-weighted, just as MPLS-in-UDP [RFC7510] and TRILL-in-UDP (https://tools.ietf.org/html/draft-ietf-trill-over-ip-16#page-20) and etc.
Best regards,Xiaohu------------------------------------------------------------------From:Erik Kline <[email-masked]>Send Time:2018年5月16日(星期三) 11:07To:徐小虎(义先) <[email-masked]>Cc:intarea-chairs <[email-masked]>; draft-xu-intarea-ip-in-udp <[email-masked]>; Internet Area <[email-masked]>Subject:Re: [Int-area] Request a WG adoption call for draft-xu-intarea-ip-in-udp
Should this document make some comment about its relation, or lack of
relation, to https://tools.ietf.org/html/draft-ietf-intarea-gue ?
On Wed, 16 May 2018 at 11:53, 徐小虎(义先) <[email-masked]>

---

From: Tom Herbert <[email-masked]>
Date: Tue, 15 May 2018 20:55:49 -0700

On Tue, May 15, 2018 at 8:33 PM, 徐小虎(义先) <[email-masked]> wrote:
> Hi Eric,
>
> Good question. This draft (draft-xu-intarea-ip-in-udp) describes a native
> UDP encapsulation scheme for IP packets, which is straightforward and
> light-weighted, just as MPLS-in-UDP [RFC7510] and TRILL-in-UDP
> (https://tools.ietf.org/html/draft-ietf-trill-over-ip-16#page-20) and etc.
>
GUE variant 1 implements native UDP encapsulation for IPv4 and IPv6.
Except for a different port number, there is no protocol difference
between that and doing IP in UDP as separate protocol.

Tom

> Best regards,
> Xiaohu
>
> ------------------------------------------------------------------
> From:Erik Kline <[email-masked]>
> Send Time:2018年5月16日(星期三) 11:07
> To:徐小虎(义先) <[email-masked]>
> Cc:intarea-chairs <[email-masked]>;
> draft-xu-intarea-ip-in-udp <[email-masked]>;
> Internet Area <[email-masked]>
> Subject:Re: [Int-area] Request a WG adoption call for
> draft-xu-intarea-ip-in-udp
>

---

From: "徐小虎(义先)" <[email-masked]>
Date: Wed, 16 May 2018 12:01:59 +0800

IMHO，there seems no need to introduce such complexity into GUE just for the purpose of saving one port number.

Xiaohu 

Tom

>> Xiaohu (on behalf of all co-authors)

---

From: Joe Touch <[email-masked]>
Date: Tue, 15 May 2018 23:47:09 -0700

It’s not complex. It’s already there. So there continues to be no reason to waste either a port number or further time discussing this draft.

Joe

> On May 15, 2018, at 9:01 PM, 徐小虎(义先) <[email-masked]> wrote:
> 
> 来自钉钉专属商务邮箱
> 发件人：Tom Herbert<[email-masked]>
> 日　期：2018年05月16日 11:55:49
> 收件人：徐小虎(义先)<[email-masked]>
> 抄　送：Erik Kline<[email-masked]>; Internet Area<[email-masked]>; draft-xu-intarea-ip-in-udp<[email-masked]>; intarea-chairs<[email-masked]>
> 主　题：Re: [Int-area] Request a WG adoption call for draft-xu-intarea-ip-in-udp
>

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Wed, 16 May 2018 14:32:23 +0000

Agree with Joe and Tom.

From: Int-area [mailto:[email-masked]] On Behalf Of Joe Touch
Sent: Tuesday, May 15, 2018 11:47 PM
To: "徐小虎(义先)" <[email-masked]>
Cc: Internet Area <[email-masked]>; intarea-chairs <[email-masked]>; draft-xu-intarea-ip-in-udp <[email-masked]>
Subject: Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp

Joe

On May 15, 2018, at 9:01 PM, 徐小虎(义先) <[email-masked]<mailto:[email-masked]>> wrote:
IMHO，there seems no need to introduce such complexity into GUE just for the purpose of saving one port number.

Xiaohu

来自钉钉专属商务邮箱<(null)>
------------------------------------------------------------------
发件人：Tom Herbert<[email-masked]<mailto:[email-masked]>>
日　期：2018年05月16日 11:55:49
收件人：徐小虎(义先)<[email-masked]<mailto:xiaohu.xxh@alibaba-inc..com>>
抄　送：Erik Kline<[email-masked]<mailto:[email-masked]>>; Internet Area<[email-masked]<mailto:[email-masked]>>; draft-xu-intarea-ip-in-udp<[email-masked]<mailto:[email-masked]>>; intarea-chairs<[email-masked]<mailto:[email-masked]>>
主　题：Re: [Int-area] Request a WG adoption call for draft-xu-intarea-ip-in-udp

Tom

> From:Erik Kline <[email-masked]<mailto:[email-masked]>>
> To:徐小虎(义先) <[email-masked]<mailto:[email-masked]>>
> Cc:intarea-chairs <[email-masked]<mailto:[email-masked]>>;
> draft-xu-intarea-ip-in-udp <[email-masked]<mailto:[email-masked]>>;
> Internet Area <[email-masked]<mailto:[email-masked]>>
> On Wed, 16 May 2018 at 11:53, 徐小虎(义先) <[email-masked]<mailto:[email-masked]>>
> wrote:
>
>> Hi co-chairs,
>
>> [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>
_______________________________________________
Int-area mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/int-area<https://www.ietf..org/mailman/listinfo/int-area>

---

From: "徐小虎(义先)" <[email-masked]>
Date: Thu, 17 May 2018 11:22:30 +0800

It doesn't matter whether or not it's already there. IMHO, given the popularity of different overlay technologies such as VXLAN and MPLS-in-UDP in practice, GUE initially and mainly targeted as a DC overlay approach has little change to be widely deployed within data centers. 
As such, if the only possible applicability of GUE is for directly carrying IP over UDP, I don't understand why we need such a overhead associated with the variation of GUE. In another word, why not directly assign a port to indicate IP-in-UDP, instead of using the GUE protocol variant number to indicate. By the way, this the GUE protocol variant number usage reminds me of the notorious misuse of the first nibble of the MPLS payload to indicate the type of the MPLS payload:)
Xiaohu

------------------------------------------------------------------From:Joe Touch <[email-masked]>Send Time:2018年5月16日(星期三) 15:45To:徐小虎(义先) <[email-masked]>Cc:Tom Herbert <[email-masked]>; Internet Area <[email-masked]>; intarea-chairs <[email-masked]>; draft-xu-intarea-ip-in-udp <[email-masked]>Subject:Re: [Int-area] 回复：  Request a WG adoption call for draft-xu-intarea-ip-in-udp
It’s not complex. It’s already there. So there continues to be no reason to waste either a port number or further time discussing this draft.
Joe
On May 15, 2018, at 9:01 PM, 徐小虎(义先) <[email-masked]> wrote:

Xiaohu 

来自钉钉专属商务邮箱------------------------------------------------------------------

Tom

---

From: Joe Touch <[email-masked]>
Date: Thu, 17 May 2018 02:54:07 -0700

What overhead?

Look at variant 1.

IMO, it is not useful to take on a new WG item that directly competes with an existing one that is a superset already.

Joe

> On May 16, 2018, at 8:22 PM, 徐小虎(义先) <[email-masked]> wrote:
> 
> From:Joe Touch <[email-masked]>
> Send Time:2018年5月16日(星期三) 15:45
> Cc:Tom Herbert <[email-masked]>; Internet Area <[email-masked]>; intarea-chairs <[email-masked]>; draft-xu-intarea-ip-in-udp <[email-masked]>
> Subject:Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 17 May 2018 09:18:47 -0500

On Wed, May 16, 2018 at 10:22 PM, 徐小虎(义先) <[email-masked]>
wrote:

> It doesn't matter whether or not it's already there. IMHO, given the
> popularity of different overlay technologies such as VXLAN and MPLS-in-UDP
> in practice, GUE initially and mainly targeted as a DC overlay approach has
> little change to be widely deployed within data centers.
>
> As such, if the only possible applicability of GUE is for directly
> carrying IP over UDP, I don't understand why we need such a overhead
> associated with the variation of GUE. In another word, why not directly
> assign a port to indicate IP-in-UDP, instead of using the GUE protocol
> variant number to indicate. By the way, this the GUE protocol variant number
> usage reminds me of the notorious misuse of the first nibble of the MPLS
> payload to indicate the type of the MPLS payload:)
>
>
I agree and support the adoption.

I supported GUE in the past.
Why not have another way of UDP encapsulation with the possibility of a
different area of applicability?

Regards,
Behcet

> Cc:Tom Herbert <[email-masked]>; Internet Area <[email-masked]>;
> intarea-chairs <[email-masked]>;
> draft-xu-intarea-ip-in-udp <[email-masked]>
> It’s not complex. It’s already there. So there continues to be no reason
> to waste either a port number or further time discussing this draft.
>
> Joe
>
> 来自钉钉专属商务邮箱 <http://(null)>
> 抄 送：Erik Kline<[email-masked]>; Internet Area<[email-masked]>;
> draft-xu-intarea-ip-in-udp<[email-masked]>;
> intarea-chairs<[email-masked]>

---

From: Joe Touch <[email-masked]>
Date: Thu, 17 May 2018 07:54:39 -0700

Because it isn’t different. Again, see GUE variant 1.

> On May 17, 2018, at 7:18 AM, Behcet Sarikaya <[email-masked]> wrote:
> 
> 
> 
>> On Wed, May 16, 2018 at 10:22 PM, 徐小虎(义先) <[email-masked]> wrote:
> Why not have another way of UDP encapsulation with the possibility of a different area of applicability? 
> 
> Regards,
> Behcet 
>> Xiaohu
>> 
>>

---

From: Tom Herbert <[email-masked]>
Date: Thu, 17 May 2018 10:28:10 -0700

> different area of applicability?
Applicability is one problem with this proposal. From the draft:

"This IP-in-UDP encapsulation technology MUST only be used within
networks which are well-managed by a service provider and MUST NOT be
used within the Internet."

That is incredibly limiting and unnecessary as other IP over IP
encapsulation protocols don't impose this sort of restriction. Also,
if the protocol specifies that it can only be used in "networks which
are well-managed by a service provider" then there needs to be a
normative description of what a "well-managed network" is. I suspect
this might have been motivated by GRE/UDP (RFC8086) that describes a
general Internet applicability scenario and one for networks that are
traffic controlled. The reason we needed to make this distinction is
because GRE can carry non-IP protocols for which we can't make any
assumptions about congestion control. For IP protocols it is assumed
that the protocols are properly congestion controlled, so for IP over
IP (like IP over UDP) there is no need have special considerations for
use over the Internet or in a traffic controlled network.

I would ask the authors of this draft to look closely at RFC8086 (and
RFC7510). Except for the aformentioned congestion control and a few
GRE specififc, RFC8086 addresses all of the common issues of IP over
UDP encapsulation including UDP checksum, fragmentation and MTU, ECMP,
diffserv, security, etc. The current IP over UDP draft doesn't
adequately address the issues and it would be far easier to leverage
all the work that went into RFC8086 than to redo the work here.

Tom

>> intarea-chairs <[email-masked]>; draft-xu-intarea-ip-in-udp
>> <[email-masked]>

---

From: Juan Carlos Zuniga <[email-masked]>
Date: Thu, 17 May 2018 20:14:44 +0000

Hello Xiaohu (and co-authors),

Given the number of concerns and comments received so far, it doesn’t seem like the document is ready for a WG adoption call.

Feel free to continue discussing on the list in order to get more feedback from the WG.

Best,

Juan Carlos & Wassim

From: Int-area [mailto:[email-masked]] On Behalf Of ???(??)
Sent: May 15, 2018 10:53 PM
To: intarea-chairs <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: [Int-area] Request a WG adoption call for draft-xu-intarea-ip-in-udp

Hi co-chairs,

Best regards,

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 17 May 2018 18:39:51 -0400

You can also carry IP over UDP by using MPLS over IP, and including an explicit null as the only label in the label stack.

A node that did not want to know about MPLS could treat the label as opaque data.

- Stewart

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 18 May 2018 01:28:07 +0000

>Because it isn’t different. Again, see GUE variant 1.

Correct. There is no reason to progress another draft that does the
same thing as GUE variant 1.

Fred

From: Int-area [mailto:[email-masked]] On Behalf Of Joe Touch
Sent: Thursday, May 17, 2018 7:55 AM
To: [email-masked]
Cc: Internet Area <[email-masked]>
Subject: Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp

On May 17, 2018, at 7:18 AM, Behcet Sarikaya <[email-masked]<mailto:[email-masked]>> wrote:

On Wed, May 16, 2018 at 10:22 PM, 徐小虎(义先) <[email-masked]<mailto:[email-masked]>> wrote:
It doesn't matter whether or not it's already there. IMHO, given the popularity of different overlay technologies such as VXLAN and MPLS-in-UDP in practice, GUE initially and mainly targeted as a DC overlay approach has little change to be widely deployed within data centers.

I supported GUE in the past..
Why not have another way of UDP encapsulation with the possibility of a different area of applicability?

Regards,
Behcet
Xiaohu

------------------------------------------------------------------
From:Joe Touch <[email-masked]<mailto:[email-masked]>>
Send Time:2018年5月16日(星期三) 15:45
To:徐小虎(义先) <[email-masked]<mailto:[email-masked]>>
Cc:Tom Herbert <[email-masked]<mailto:tom@herbertland..com>>; Internet Area <[email-masked]<mailto:[email-masked]>>; intarea-chairs <[email-masked]<mailto:[email-masked]>>; draft-xu-intarea-ip-in-udp <[email-masked]<mailto:[email-masked]>>
Subject:Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp

Joe

Xiaohu

来自钉钉专属商务邮箱<http://(null)>
------------------------------------------------------------------
发件人：Tom Herbert<[email-masked]<mailto:[email-masked]>>
日　期：2018年05月16日 11:55:49
收件人：徐小虎(义先)<[email-masked]<mailto:[email-masked]>>
抄　送：Erik Kline<[email-masked]<mailto:[email-masked]>>; Internet Area<[email-masked]<mailto:[email-masked]>>; draft-xu-intarea-ip-in-udp<[email-masked]<mailto:[email-masked]>>; intarea-chairs<[email-masked]<mailto:[email-masked]>>
主　题：Re: [Int-area] Request a WG adoption call for draft-xu-intarea-ip-in-udp

Tom

---

From: "徐小虎(义先)" <[email-masked]>
Date: Fri, 18 May 2018 09:41:25 +0800

It's different. In GUE variant 1, the tunnel decapsulation device needs to read the UDP destination port to determine that the UDP payload is a GUE and then to read the first two nibble of the GUE payload to determine whether the UDP payload is actually an IP payload. It introduces an absolutely unnecessary complexity in the procedure, especially for chips. 
Xiaohu
------------------------------------------------------------------From:Templin (US), Fred L <[email-masked]>Send Time:2018年5月18日(星期五) 09:28To:Joe Touch <[email-masked]>; [email-masked] <[email-masked]>Cc:Internet Area <[email-masked]>Subject:Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp
>Because it isn’t different. Again, see GUE variant 1. Correct. There is no reason to progress another draft that does thesame thing as GUE variant 1. Fred  From: Int-area [mailto:[email-masked]]
On Behalf Of Joe Touch
Sent: Thursday, May 17, 2018 7:55 AM
To: [email-masked]
Cc: Internet Area <[email-masked]>
Subject: Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp Because it isn’t different. Again, see GUE variant 1.

On May 17, 2018, at 7:18 AM, Behcet Sarikaya <[email-masked]> wrote:  On Wed, May 16, 2018 at 10:22 PM, 
徐小虎(义先) <[email-masked]> wrote:It doesn't matter whether or not it's already there. IMHO, given the popularity of different overlay technologies such as VXLAN and MPLS-in-UDP in practice, GUE
 initially and mainly targeted as a DC overlay approach has little change to be widely deployed within data centers.  As such, if the only possible applicability of GUE is for directly carrying IP over UDP, I don't understand why we need such a overhead associated with the variation
 of GUE. In another word, why not directly assign a port to indicate IP-in-UDP, instead of using the GUE protocol variant number to indicate. By the way, this
the GUE protocol variant
 number usage reminds me of the notorious misuse of the first nibble of the MPLS payload to indicate the type of the MPLS payload:)

 I agree and support the adoption. I supported GUE in the past..Why not have another way of UDP encapsulation with the possibility of a different area of applicability?  Regards,Behcet Xiaohu  ------------------------------------------------------------------From:Joe Touch <[email-masked]>Send Time:2018年5月16日(星期三)
 15:45To:徐小虎(义先)
 <[email-masked]>Cc:Tom Herbert <[email-masked]>; Internet Area <[email-masked]>;
 intarea-chairs <[email-masked]>; draft-xu-intarea-ip-in-udp <[email-masked]>Subject:Re: [Int-area]
回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp It’s not complex. It’s already there. So there continues to be no reason to waste either a port number or further time discussing this draft. Joe

On May 15, 2018, at 9:01 PM, 徐小虎(义先)
 <[email-masked]> wrote:IMHO，there
 seems no need to introduce such complexity into GUE just for the purpose of saving one port number.

Xiaohu 

来自钉钉专属商务邮箱------------------------------------------------------------------
发件人：Tom Herbert<[email-masked]>
日　期：2018年05月16日
 11:55:49
收件人：徐小虎(义先)<[email-masked]>
抄　送：Erik Kline<[email-masked]>; Internet
 Area<[email-masked]>; draft-xu-intarea-ip-in-udp<[email-masked]>; intarea-chairs<[email-masked]>
主　题：Re:
 [Int-area] Request a WG adoption call for draft-xu-intarea-ip-in-udp

Tom

> relation, to 
https://tools.ietf.org/html/draft-ietf-intarea-gue ?

Int-area mailing list
[email-masked]

Int-area mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/int-area _______________________________________________

Int-area mailing list
[email-masked]

---

From: Tom Herbert <[email-masked]>
Date: Thu, 17 May 2018 18:52:10 -0700

On Thu, May 17, 2018 at 6:41 PM, 徐小虎(义先) <[email-masked]> wrote:
> It's different. In GUE variant 1, the tunnel decapsulation device needs to
> read the UDP destination port to determine that the UDP payload is a GUE and
> then to read the first two nibble of the GUE payload to determine whether
> the UDP payload is actually an IP payload. It introduces an absolutely
> unnecessary complexity in the procedure, especially for chips.
>
I don't follow. In SW this is a grand total of a single mask and
conditional (maybe 3 assembly instructions). In HW this is nothing
more than programming the TCAM with entries that match GUE v0, GUE v1
IPv4, GUE v1 IPv6. Complexity of implementation is completely
insignificant.

Tom

> From:Templin (US), Fred L <[email-masked]>
> Send Time:2018年5月18日(星期五) 09:28
> To:Joe Touch <[email-masked]>; [email-masked] <[email-masked]>
> Cc:Internet Area <[email-masked]>
> As such, if the only possible applicability of GUE is for directly carrying
> IP over UDP, I don't understand why we need such a overhead associated with
> the variation of GUE. In another word, why not directly assign a port to
> indicate IP-in-UDP, instead of using the GUE protocol variant number to
> indicate. By the way, this the GUE protocol variant number usage reminds me
> of the notorious misuse of the first nibble of the MPLS payload to indicate
> the type of the MPLS payload:)
>
>
>
>
>
> It’s not complex. It’s already there. So there continues to be no reason to
> waste either a port number or further time discussing this draft.
>
>
>
> Joe
>
>

---

From: Joe Touch <[email-masked]>
Date: Thu, 17 May 2018 20:55:22 -0700

It’s also entirely possible that the UDP tunnel will end up needing a signaling channel of the kind already available in GUE.

IMO, the unnecessary complexity would be using bits in the port space to provide an indication already available further inside the packet (here, in the first few bits).

Joe

> On May 17, 2018, at 6:52 PM, Tom Herbert <[email-masked]> wrote:
> 
> On Thu, May 17, 2018 at 6:41 PM, 徐小虎(义先) <[email-masked] <mailto:[email-masked]>> wrote:
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/int-area <https://www.ietf.org/mailman/listinfo/int-area>

---

From: "徐小虎(义先)" <[email-masked]>
Date: Fri, 18 May 2018 13:58:44 +0800

Comments inline.
------------------------------------------------------------------From:Joe Touch <[email-masked]>Send Time:2018年5月18日(星期五) 11:55To:Tom Herbert <[email-masked]>Cc:徐小虎(义先) <[email-masked]>; Int-area <[email-masked]>; [email-masked] <[email-masked]>; Internet Area <[email-masked]>Subject:Re: [Int-area] Request a WG adoption call for draft-xu-intarea-ip-in-udp
It’s also entirely possible that the UDP tunnel will end up needing a signaling channel of the kind already available in GUE.
[Xiaohu] I have not heard such a need for a signaling channel in the IP-in-UDP tunneling applicability. If you knew any, please list it explicitly and then let's check its necessity.
IMO, the unnecessary complexity would be using bits in the port space to provide an indication already available further inside the packet (here, in the first few bits).
[Xiaohu] IMHO, using the first few bits of the GUE payload to indicate the type of the GUE payload is a bad idea. It seems as funny as the idea of using the first nibble of the MPLS payload as a protocol field to indicate the MPLS payload type. 
Xiaohu
Joe
On May 17, 2018, at 6:52 PM, Tom Herbert <[email-masked]> wrote:
On Thu, May 17, 2018 at 6:41 PM, 徐小虎(义先) <[email-masked]> wrote:
It's different. In GUE variant 1, the tunnel decapsulation device needs to
read the UDP destination port to determine that the UDP payload is a GUE and
then to read the first two nibble of the GUE payload to determine whether
the UDP payload is actually an IP payload. It introduces an absolutely
unnecessary complexity in the procedure, especially for chips.

Tom

Xiaohu

Subject:Re: [Int-area] 回复： Request a WG adoption call for

Fred

Subject: Re: [Int-area] 回复： Request a WG adoption call for

Regards,

Behcet

Xiaohu

Subject:Re: [Int-area] 回复： Request a WG adoption call for
draft-xu-intarea-ip-in-udp

Joe

IMHO，there seems no need to introduce such complexity into GUE just for the
purpose of saving one port number.

Xiaohu

来自钉钉专属商务邮箱

Tom

Best regards,
Xiaohu

Hi co-chairs,

We would like to request a WG adoption call for this draft (
https://tools.ietf.org/html/draft-xu-intarea-ip-in-udp-07) since it has
been stable enough and the solution as described in this draft is needed
in
practice.

Best regards,

---

From: "徐小虎(义先)" <[email-masked]>
Date: Fri, 18 May 2018 14:12:39 +0800

Tom,
It seems that your argument is based on an assumption that GUE is the only UDP tunnel mechanism implemented on the chip. What about if other UDP tunnel mechanisms (e.g., VXLAN, GENEVE and MPLS-in-UDP) are implemented as well? 
Best regards,Xiaohu
------------------------------------------------------------------From:Tom Herbert <[email-masked]>Send Time:2018年5月18日(星期五) 09:52To:徐小虎(义先) <[email-masked]>Cc:Int-area <[email-masked]>; Joe Touch <[email-masked]>; [email-masked] <[email-masked]>; Internet Area <[email-masked]>Subject:Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp

Tom

---

From: Tom Herbert <[email-masked]>
Date: Fri, 18 May 2018 07:38:56 -0700

On Thu, May 17, 2018 at 11:12 PM, 徐小虎(义先) <[email-masked]> wrote:
> Tom,
>
> It seems that your argument is based on an assumption that GUE is the only
> UDP tunnel mechanism implemented on the chip. What about if other UDP tunnel
> mechanisms (e.g., VXLAN, GENEVE and MPLS-in-UDP) are implemented as well?
>
Xiaohu,

Not at all. UDP encapsulation protocols are are discriminated by
looking at destination port number. After port number look up, they
are independent of one another.

Going back to your draft and specifically applicability of the
protocol, there is this text:

"This IP-in-UDP encapsulation causes E-IP [RFC5565] packets to be
forwarded across an I-IP [RFC5565] transit core via "UDP tunnels".
While performing IP-in-UDP encapsulation, an ingress AFBR (e.g.  PE
router) would generate an entropy value and encode it in the Source
Port field of the UDP header."

I have no idea what an E-IP, I-IP, AFBR, and PE router is. It looks
this is terminology buried deep in the Softwire RFC. The use of this
non-standard terminology and the reference to Softwire is abrupt in
the draft, there is no prior context given. Neither will you find this
in other specifications for UDP encapsulation. While the title and
abstract seem to imply that a general purpose encapsulation is being
defined, it's clear from the rest of the draft that there was a single
use case in mind when the draft was written (I guess Softwire). Not
only that, the protocol applicability described in the draft seems to
restrict use of the protocol precisely to that single use case. Either
the draft title and abstract should change, or the rest of the draft
should be generalized to match them.

In any case, even if the intent is to use the protocol for just for
the Softwire use case, I still don't think there's been a good answer
as to why the proposed protocol is required. Even if you don't like
GUE there are a number of other ways to encapsulate IP over UDP. Why
can't one of these be applied to the Softwire use case?

Tom

> From:Tom Herbert <[email-masked]>
> Send Time:2018年5月18日(星期五) 09:52
> Cc:Int-area <[email-masked]>; Joe Touch <[email-masked]>;
> [email-masked] <[email-masked]>; Internet Area <[email-masked]>
>> carrying
>> to

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 18 May 2018 14:23:26 +0000

The term “complexity” is not applicable to this discussion. Even if there were
a priori knowledge that the encapsulated packet is an IPvX packet, the first
nibble should be checked to confirm that it actually encodes the value 6/4
for sanity checking purposes. Complexity would be if there were hundreds
of lines of extra code – this is a single instruction that should be used by any
approach and not just GUE.

From: Int-area [mailto:[email-masked]] On Behalf Of ???(??)
Sent: Thursday, May 17, 2018 6:41 PM
To: Int-area <[email-masked]>; Joe Touch <[email-masked]>; [email-masked]
Cc: Internet Area <[email-masked]>
Subject: Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp

Xiaohu

------------------------------------------------------------------
From:Templin (US), Fred L <[email-masked]<mailto:[email-masked]>>
Send Time:2018年5月18日(星期五) 09:28
To:Joe Touch <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Cc:Internet Area <[email-masked]<mailto:[email-masked]>>
Subject:Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp

Fred

From: Int-area [mailto:[email-masked]] On Behalf Of Joe Touch
Sent: Thursday, May 17, 2018 7:55 AM
To: [email-masked]<mailto:[email-masked]>
Cc: Internet Area <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Int-area] 回复： Request a WG adoption call for draft-xu-intarea-ip-in-udp

Regards,
Behcet
Xiaohu

Joe

Xiaohu

Tom